%global product_family RHEV Hypervisor
%define recipe_root %{_datadir}/ovirt-node-recipe

%global         package_version 0.2.0
%global         package_name ovirt-node-plugin-hosted-engine


Name:           ovirt-node-plugin-hosted-engine
Version:        0.2.0
Release:        18.0%{?dist}
Source0:        http://plain.resources.ovirt.org/pub/ovirt-master-snapshot/src/%{name}/%{name}-%{package_version}_ovirt35.tar.gz
License:        GPLv2+
Group:          Applications/System
Summary:        Hosted Engine plugin for %{product_family} image
BuildRequires:  python2-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       ovirt-hosted-engine-setup
Requires:       screen

BuildArch:      noarch

Patch0: 0001-Rework-the-hosted-engine-page.patch
Patch1: 0002-Use-the-correct-type-for-None-value.patch
Patch2: 0003-hosted_engine_page-Improve-user-interface.patch
Patch3: 0004-spec-Move-BuildRequires-and-BuildArch.patch
Patch4: 0005-pep8-make-pep8-happy.patch
Patch5: 0006-rwtab-Add-var-lib-ovirt-hosted-engine-setup.patch
Patch6: 0007-Don-t-return-JSON-to-the-TUI.patch
Patch7: 0008-Bool-for-Hosted-Engine-doesn-t-make-any-sense-in-a-c.patch
Patch8: 0009-Tweak-the-TUI-a-little-bit-so-fields-line-up-better.patch
Patch9: 0010-Use-utils.fs.File-not-raw-opens.patch 
Patch10: 0011-Clean-up-the-entire-plugin.patch
Patch11: 0012-Rename-a-class-variable-to-reflect-reality.patch
Patch12: 0013-Write-the-config-from-the-threaded-download.patch
Patch13: 0014-Don-t-check-HACli-if-it-isn-t-configured.patch
Patch14: 0015-Fix-up-hosted-engine-PXE-in-the-model.patch
Patch15: 0016-page-Do-not-sak-to-drop-to-shell.patch
Patch16: 0017-_configured-is-a-bad-variable-name.-Use-_install_rea.patch
Patch17: 0018-Clear-the-download-progressbar-and-text-once-we-re-f.patch
Patch18: 0019-OVAs-do-not-end-with-.gz-check-magic-numbers-instead.patch 
Patch19: 0020-ui-Enable-on-el6-only-but-allow-override.patch
Patch20: 0021-he_page-fix-pep8-complains.patch
Patch21: 0022-Insufficient-arguments-for-update-call.patch
Patch22: 0023-he_page-Add-validation-to-self.temp_cfg_file-and-sel.patch
Patch23: 0024-Don-t-let-apache-transparently-deflate-OVAs.patch
Patch24: 0025-rwtab-var-lib-ovirt-hosted-engine-ha-should-be-rw.patch
Patch25: 0026-page-Check-for-el6-not-el-in-general.patch
Patch26: 0027-hosted-engine-provide-temp-dir-for-execution.patch
Patch27: 0028-page-Always-show-the-page.patch
Patch28: 0029-python-requests-deflates-on-EL7.-Use-the-raw-respons.patch
Patch29: 0030-page-Add-additional-host-flow-support.patch
Patch30: 0031-page-Add-a-dialog-with-helpful-informations.patch
Patch31: 0032-Persist-the-hosted-engine-configs-and-answer-files.patch
Patch32: 0033-Rearrange-the-UI-elements-so-it-fits-nicely-on-80x24.patch

%package recipe
Summary:        Kickstarts for building oVirt Node isos including %{name}
Group:          Applications/System
Requires:       ovirt-node-recipe >= 2.6.0


%post
chkconfig ovirt-ha-agent on
chkconfig ovirt-ha-broker on


%description
This package provides a hosted engine plugin for use with%{product_family} image.


%description recipe
Provides kickstart files for generating an oVirt Node ISO image containing
%{name}.


%files
%{python_sitelib}/ovirt/node/setup/hostedengine/__init__.py*
%{python_sitelib}/ovirt/node/setup/hostedengine/hosted_engine_page.py*



%prep
%setup -q -n "%{name}-%{package_version}_ovirt35"
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1

# Required autoconf to update build system
autoreconf


%build
%configure


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}


%files
%{_sysconfdir}/rwtab.d/hosted-engine
%{python_sitelib}/ovirt/node/setup/hostedengine
#%{_sysconfdir}/ovirt-plugins.d


%files recipe
%{recipe_root}


%changelog
* Fri Jul 31 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-18.0
- Persist the hosted engine configs and answer files
- Rearrange the UI elements so it fits nicely on 80x24

* Thu Jun 25 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-16.0
- page: Always show the page
- python-requests deflates on EL7. Use the raw response

* Tue Apr 02 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-15.0
- hosted-engine: provide temp dir for execution

* Tue Mar 31 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-14.0
- page: Check for el6, not el in general

* Thu Mar 26 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-13.0
- rwtab:/var/lib/ovirt-hosted-engine-ha should be rw

* Thu Mar 26 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-12.0
- Move noarch to top of spec and update python devel requires

* Tue Mar 17 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-11.0
- he_page: Add validation to self.temp_cfg_file and self._show_progressbar
- Don't let apache transparently deflate OVAs

* Tue Mar 10 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-10.0
- Insufficient arguments for update() call

* Tue Mar 03 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-9.0
- he_page: fix pep8 complains

* Tue Mar 03 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-8.0
- ui: Enable on el6 only, but allow override

* Thu Feb 26 2015 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-7.0
- _configured is a bad variable name. Use _install_ready
- Clear the download progressbar and text once we're finished
- OVAs do not end with .gz, check magic numbers instead

* Wed Dec 03 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-6.0
- We should not ask users o drop to shell, that is ont supported.

* Tue Dec 02 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-5.0
- Fix up hosted engine PXE in the model
- Don't check HACli if it isn't configured
- Write the config from the threaded download
- Rename a class variable to reflect reality
- Clean up the entire plugin
- Use utils.fs.File, not raw opens

* Tue Nov 25 2014 Douglas Schilling Landgraf <dougsland@redhat.com> - 0.2.0-4.0
- Don't return JSON to the TUI
- Bool for "Hosted Engine" doesn't make any sense in a cluster
- Tweak the TUI a little bit so fields line up better

* Fri Sep 19 2014 Fabian Deutsch <fdeutsch@redhat.com> - 0.2.0-2.0
- Add missing dist tag
- Resolves: rhbz#1086268

* Mon Sep 15 2014 Fabian Deutsch <fdeutsch@redhat.com> - 0.2.0-1.0
- Update to 0.2.0
- Resolves: rhbz#1086268

* Wed Jul 30 2014 Fabian Deutsch <fdeutsch@redhat.com> - 0.0.1-0.0
- Initial import

* Tue May 27 2014 Joey Boggs <jboggs@redhat.com> 0.0.1
- initial commit
